Avro C#

Public Member Functions | Protected Member Functions | Properties | List of all members
Avro.Specific.SpecificFixed Class Reference

Base class for all generated classes More...

Inheritance diagram for Avro.Specific.SpecificFixed:

## Public Member Functions
| SpecificFixed (uint size)
| Initializes a new instance of the SpecificFixed class. More...
override bool | Equals (object obj)
override int | GetHashCode ()
Public Member Functions inherited from Avro.Generic.GenericFixed
| GenericFixed (FixedSchema schema)
| Initializes a new instance of the GenericFixed class. More...
| GenericFixed (FixedSchema schema, byte[] value)
| Initializes a new instance of the GenericFixed class with a value. More...
override bool | Equals (object obj)
override int | GetHashCode ()

## Protected Member Functions
bool | Equals (SpecificFixed obj)
| Determines whether the provided fixed is equivalent this this instance. More...
Protected Member Functions inherited from Avro.Generic.GenericFixed
| GenericFixed (uint size)
| Initializes a new instance of the GenericFixed class with a size. More...

## Properties
abstract new Schema | Schema`[get]`
| Schema of this instance. More...
Properties inherited from Avro.Generic.GenericFixed
FixedSchema | Schema`[get, set]`
| Schema for this fixed. More...
byte[] | Value`[get, set]`
| Value of this fixed. More...

## Additional Inherited Members
Protected Attributes inherited from Avro.Generic.GenericFixed
readonly byte[] | value
| Value of this fixed. More...

## Detailed Description

Base class for all generated classes

## Constructor & Destructor Documentation

## ◆ SpecificFixed()

Avro.Specific.SpecificFixed.SpecificFixed | ( | uint | size | ) |
| inline

Initializes a new instance of the SpecificFixed class.

Parameters

  size |

## Member Function Documentation

## ◆ Equals()

bool Avro.Specific.SpecificFixed.Equals | ( | SpecificFixed | obj | ) |
| inline protected

Determines whether the provided fixed is equivalent this this instance.

Parameters

  obj | Fixed to compare.

Returns
  True if the fixed instances have equal values.

## Property Documentation

## ◆ Schema

abstract new Schema Avro.Specific.SpecificFixed.Schema
| get

Schema of this instance.

The documentation for this class was generated from the following file:

- src/apache/main/Specific/SpecificFixed.cs